OpenOBEX: obex_ctrans_t Struct Reference

OpenOBEX

Data Fields
obex_ctrans_t Struct Reference

Function definition for custom transports. More...

`#include <obex_const.h>`

## Data Fields
int(* | connect )(obex_t *handle, void *customdata)
| connect to a server (client-only) More...
int(* | disconnect )(obex_t *handle, void *customdata)
| disconnect (server/client) More...
int(* | listen )(obex_t *handle, void *customdata)
| listen to incoming connections (server-only) More...
int(* | read )(obex_t *handle, void *customdata, uint8_t *buf, int size)
| remote connection input This function is optional as it is an alternative to providing the data with OBEX_CustomDataFeed(). More...
int(* | write )(obex_t *handle, void *customdata, uint8_t *buf, int len)
| remote connection output More...
int(* | handleinput )(obex_t *handle, void *customdata, int timeout)
| directly called by OBEX_HandleInput More...
void * | customdata

## Detailed Description

Function definition for custom transports.

## Field Documentation

## ◆ connect

int(* obex_ctrans_t::connect) (obex_t *handle, void *customdata)

connect to a server (client-only)

## ◆ customdata

void* obex_ctrans_t::customdata

## ◆ disconnect

int(* obex_ctrans_t::disconnect) (obex_t *handle, void *customdata)

disconnect (server/client)

## ◆ handleinput

int(* obex_ctrans_t::handleinput) (obex_t *handle, void *customdata, int timeout)

directly called by OBEX_HandleInput

## ◆ listen

int(* obex_ctrans_t::listen) (obex_t *handle, void *customdata)

listen to incoming connections (server-only)

## ◆ read

int(* obex_ctrans_t::read) (obex_t *handle, void *customdata, uint8_t *buf, int size)

remote connection input This function is optional as it is an alternative to providing the data with OBEX_CustomDataFeed().

The memory that 'buf' points to has enough room for RX MTU bytes. The minimum number of bytes needed to go on is specified by 'size'.

## ◆ write

int(* obex_ctrans_t::write) (obex_t *handle, void *customdata, uint8_t *buf, int len)

remote connection output

The documentation for this struct was generated from the following file:

- obex_const.h